Package org.apache.sling.jcr.webdav.impl.helper

# Class SlingTikaDetector

java.lang.Object
org.apache.sling.jcr.webdav.impl.helper.SlingTikaDetector

All Implemented Interfaces:
  `Serializable`, `org.apache.tika.detect.Detector`

public class SlingTikaDetector extends Object implements org.apache.tika.detect.Detector

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SlingTikaDetector(org.apache.sling.commons.mime.MimeTypeService mimeTypeService)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.tika.mime.MediaType`
`detect(InputStream rawData, org.apache.tika.metadata.Metadata metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingTikaDetector

public SlingTikaDetector(org.apache.sling.commons.mime.MimeTypeService mimeTypeService)

## Method Details

### detect

public org.apache.tika.mime.MediaType detect(InputStream rawData, org.apache.tika.metadata.Metadata metadata)

Specified by:
  `detect` in interface `org.apache.tika.detect.Detector`